<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <parent>
        <groupId>org.springframework.boot</groupId>
        <artifactId>spring-boot-starter-parent</artifactId>
        <version>3.4.4</version>
        <relativePath/> <!-- lookup parent from repository -->
    </parent>
    <groupId>com.greenorange</groupId>
    <artifactId>promotion</artifactId>
    <version>0.0.1-SNAPSHOT</version>
    <name>GreenOrange</name>
    <description>GreenOrange</description>
    <url/>
    <licenses>
        <license/>
    </licenses>
    <developers>
        <developer/>
    </developers>
    <scm>
        <connection/>
        <developerConnection/>
        <tag/>
        <url/>
    </scm>
    <properties>
        <java.version>17</java.version>
    </properties>
    <dependencies>
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-web</artifactId>
        </dependency>
        <dependency>
            <groupId>org.mybatis.spring.boot</groupId>
            <artifactId>mybatis-spring-boot-starter</artifactId>
            <version>3.0.4</version>
        </dependency>

        <dependency>
            <groupId>com.mysql</groupId>
            <artifactId>mysql-connector-j</artifactId>
            <scope>runtime</scope>
        </dependency>
        <dependency>
            <groupId>org.projectlombok</groupId>
            <artifactId>lombok</artifactId>
            <optional>true</optional>
        </dependency>
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-test</artifactId>
            <scope>test</scope>
        </dependency>
        <dependency>
            <groupId>org.mybatis.spring.boot</groupId>
            <artifactId>mybatis-spring-boot-starter-test</artifactId>
            <version>3.0.4</version>
            <scope>test</scope>
        </dependency>



        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-validation</artifactId>
        </dependency>



        <!-- knife4j -->
        <dependency>
            <groupId>com.github.xiaoymin</groupId>
            <artifactId>knife4j-openapi3-jakarta-spring-boot-starter</artifactId>
            <version>4.4.0</version>
        </dependency>

        <!-- mybatis-plus -->
        <dependency>
            <groupId>com.baomidou</groupId>
            <artifactId>mybatis-plus-spring-boot3-starter</artifactId>
            <version>3.5.5</version>
        </dependency>

        <!-- apache工具包 -->
        <dependency>
            <groupId>org.apache.commons</groupId>
            <artifactId>commons-lang3</artifactId>
            <version>3.12.0</version>
        </dependency>

        <!-- aop -->
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-aop</artifactId>
        </dependency>

        <!-- 代码生成器 -->
        <dependency>
            <groupId>com.baomidou</groupId>
            <artifactId>mybatis-plus-generator</artifactId>
            <version>3.5.11</version>
        </dependency>

        <!-- 代码模版引擎 -->
        <dependency>
            <groupId>org.apache.velocity</groupId>
            <artifactId>velocity-engine-core</artifactId>
            <version>2.2</version>
        </dependency>

        <!-- 工具类-->
        <dependency>
            <groupId>cn.hutool</groupId>
            <artifactId>hutool-all</artifactId>
            <version>5.8.26</version>
        </dependency>

        <!-- redis -->
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-data-redis</artifactId>
        </dependency>

        <!-- Gson -->
        <dependency>
            <groupId>com.google.code.gson</groupId>
            <artifactId>gson</artifactId>
            <version>2.8.8</version>
        </dependency>


        <!-- 微信支付 -->
        <dependency>
            <groupId>com.github.wechatpay-apiv3</groupId>
            <artifactId>wechatpay-java</artifactId>
            <version>0.2.12</version>
        </dependency>
        <dependency>
            <groupId>com.github.wechatpay-apiv3</groupId>
            <artifactId>wechatpay-apache-httpclient</artifactId>
            <version>0.4.9</version>
        </dependency>
        <!-- 微信小程序 -->
        <dependency>
            <groupId>com.github.binarywang</groupId>
            <artifactId>wx-java-miniapp-spring-boot-starter</artifactId>
            <version>4.4.0</version>
        </dependency>


        <!--短信发送-->
        <dependency>
            <groupId>com.aliyun</groupId>
            <artifactId>aliyun-java-sdk-core</artifactId>
            <version>4.5.16</version>
        </dependency>

        <dependency>
            <groupId>com.aliyun</groupId>
            <artifactId>aliyun-java-sdk-dysmsapi</artifactId>
            <version>2.1.0</version>
        </dependency>


        <!-- HttpClient 依赖 -->
        <dependency>
            <groupId>org.apache.httpcomponents</groupId>
            <artifactId>httpclient</artifactId>
            <version>4.5.13</version>
        </dependency>

        <!-- DOM4J 依赖 -->
        <dependency>
            <groupId>org.dom4j</groupId>
            <artifactId>dom4j</artifactId>
            <version>2.1.3</version>
        </dependency>

        <!-- jwt-->
        <dependency>
            <groupId>com.auth0</groupId>
            <artifactId>java-jwt</artifactId>
            <version>3.14.0</version>
        </dependency>

        <!--JSON 处理工具-->
        <dependency>
            <groupId>com.alibaba</groupId>
            <artifactId>fastjson</artifactId>
            <version>1.2.62</version>
        </dependency>

        <!-- 配置注解处理器-->
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-configuration-processor</artifactId>
            <optional>true</optional>
        </dependency>

        <dependency>
            <groupId>commons-lang</groupId>
            <artifactId>commons-lang</artifactId>
            <version>2.6</version>
        </dependency>






        <!-- 引入外部jar包 -->
        <dependency>
            <groupId>com.cxz</groupId>
            <artifactId>2020idea-mybatis_log_plugin</artifactId>
            <version>1.45</version>
            <scope>system</scope>
            <systemPath>${project.basedir}/src/main/resources/lib/2020idea-mybatis_log_plugin.jar</systemPath>
        </dependency>

        <dependency>
            <groupId>com.cxz</groupId>
            <artifactId>bcprov-ext-jdk15to18-165</artifactId>
            <version>1.0</version>
            <scope>system</scope>
            <systemPath>${project.basedir}/src/main/resources/lib/bcprov-ext-jdk15to18-165.jar</systemPath>
        </dependency>

        <dependency>
            <groupId>com.cxz</groupId>
            <artifactId>commons-beanutils</artifactId>
            <version>1.0</version>
            <scope>system</scope>
            <systemPath>${project.basedir}/src/main/resources/lib/commons-beanutils.jar</systemPath>
        </dependency>

        <dependency>
            <groupId>com.cxz</groupId>
            <artifactId>commons-codec-1.14</artifactId>
            <version>1.14</version>
            <scope>system</scope>
            <systemPath>${project.basedir}/src/main/resources/lib/commons-codec-1.14.jar</systemPath>
        </dependency>

        <dependency>
            <groupId>com.cxz</groupId>
            <artifactId>commons-collections-3.1</artifactId>
            <version>3.1</version>
            <scope>system</scope>
            <systemPath>${project.basedir}/src/main/resources/lib/commons-collections-3.1.jar</systemPath>
        </dependency>

<!--        <dependency>-->
<!--            <groupId>com.cxz</groupId>-->
<!--            <artifactId>commons-lang-2.1</artifactId>-->
<!--            <version>2.1</version>-->
<!--            <scope>system</scope>-->
<!--            <systemPath>${project.basedir}/src/main/resources/lib/commons-lang-2.1.jar</systemPath>-->
<!--        </dependency>-->

        <dependency>
            <groupId>com.cxz</groupId>
            <artifactId>commons-logging</artifactId>
            <version>1.0</version>
            <scope>system</scope>
            <systemPath>${project.basedir}/src/main/resources/lib/commons-logging.jar</systemPath>
        </dependency>

        <dependency>
            <groupId>com.cxz</groupId>
            <artifactId>ezmorph-1.0.6</artifactId>
            <version>1.0.6</version>
            <scope>system</scope>
            <systemPath>${project.basedir}/src/main/resources/lib/ezmorph-1.0.6.jar</systemPath>
        </dependency>

        <dependency>
            <groupId>com.cxz</groupId>
            <artifactId>httpclient-4.5.6</artifactId>
            <version>4.5.6</version>
            <scope>system</scope>
            <systemPath>${project.basedir}/src/main/resources/lib/httpclient-4.5.6.jar</systemPath>
        </dependency>

        <dependency>
            <groupId>com.cxz</groupId>
            <artifactId>httpcore-4.4.6</artifactId>
            <version>4.4.6</version>
            <scope>system</scope>
            <systemPath>${project.basedir}/src/main/resources/lib/httpcore-4.4.6.jar</systemPath>
        </dependency>

        <dependency>
            <groupId>com.cxz</groupId>
            <artifactId>jackson-annotations-2.9.3</artifactId>
            <version>2.9.3</version>
            <scope>system</scope>
            <systemPath>${project.basedir}/src/main/resources/lib/jackson-annotations-2.9.3.jar</systemPath>
        </dependency>

        <dependency>
            <groupId>com.cxz</groupId>
            <artifactId>jackson-core-2.9.3</artifactId>
            <version>2.9.3</version>
            <scope>system</scope>
            <systemPath>${project.basedir}/src/main/resources/lib/jackson-core-2.9.3.jar</systemPath>
        </dependency>

        <dependency>
            <groupId>com.cxz</groupId>
            <artifactId>jackson-databind-2.9.3</artifactId>
            <version>2.9.3</version>
            <scope>system</scope>
            <systemPath>${project.basedir}/src/main/resources/lib/jackson-databind-2.9.3.jar</systemPath>
        </dependency>

        <dependency>
            <groupId>com.cxz</groupId>
            <artifactId>javax.websocket-api-1.1</artifactId>
            <version>1.1</version>
            <scope>system</scope>
            <systemPath>${project.basedir}/src/main/resources/lib/javax.websocket-api-1.1.jar</systemPath>
        </dependency>

        <dependency>
            <groupId>com.cxz</groupId>
            <artifactId>json-lib-2.2.3-jdk13</artifactId>
            <version>2.2.3</version>
            <scope>system</scope>
            <systemPath>${project.basedir}/src/main/resources/lib/json-lib-2.2.3-jdk13.jar</systemPath>
        </dependency>

        <dependency>
            <groupId>com.cxz</groupId>
            <artifactId>okhttp-3.2.0</artifactId>
            <version>3.2.0</version>
            <scope>system</scope>
            <systemPath>${project.basedir}/src/main/resources/lib/okhttp-3.2.0.jar</systemPath>
        </dependency>

        <dependency>
            <groupId>com.cxz</groupId>
            <artifactId>wechatpay-apache-httpclient-0.2.2</artifactId>
            <version>0.2.2</version>
            <scope>system</scope>
            <systemPath>${project.basedir}/src/main/resources/lib/wechatpay-apache-httpclient-0.2.2.jar</systemPath>
        </dependency>

        <dependency>
            <groupId>com.cxz</groupId>
            <artifactId>xom-1.2.5</artifactId>
            <version>1.2.5</version>
            <scope>system</scope>
            <systemPath>${project.basedir}/src/main/resources/lib/xom-1.2.5.jar</systemPath>
        </dependency>









    </dependencies>

    <build>
        <plugins>
            <plugin>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-maven-plugin</artifactId>
                <configuration>
                    <excludes>
                        <exclude>
                            <groupId>org.projectlombok</groupId>
                            <artifactId>lombok</artifactId>
                        </exclude>
                    </excludes>
                </configuration>
            </plugin>

        </plugins>
    </build>

</project>
